[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: xattr support in live-installer?



I uploaded this live-installer patch to Ubuntu.  It should be
straightforward to apply in Debian once my attr patch or similar is
applied.

  * Copy extended attributes to target system (LP: #1302192).

=== modified file 'debian/control'
--- debian/control	2013-07-14 13:17:07 +0000
+++ debian/control	2014-04-09 14:23:28 +0000
@@ -14,7 +14,7 @@ Package: live-installer
 Package-Type: udeb
 Architecture: any
 Depends:
- ${shlibs:Depends}, archdetect, base-installer (>= 1.105),
+ ${shlibs:Depends}, archdetect, attr-udeb, base-installer (>= 1.105),
  busybox-udeb (>= 1:1.13.3), cdebconf-udeb, created-fstab, mounted-partitions
 Provides: installed-base, kernel-installer
 XB-Installer-Menu-Item: 6490

=== modified file 'debian/live-installer.postinst'
--- debian/live-installer.postinst	2013-09-08 10:03:20 +0000
+++ debian/live-installer.postinst	2014-04-09 14:27:34 +0000
@@ -81,6 +81,9 @@ install_live_system () {
 		)
 		exec 0>&4
 		IFS=$OLD_IFS
+		getfattr --dump --no-dereference --match=- --recursive . | \
+			(cd /target && setfattr --no-dereference --restore=-) \
+			|| true
 
 		chdir /
 		eval ${SUPPORT}_teardown

Cheers,

-- 
Colin Watson                                       [cjwatson@debian.org]


Reply to: